Skip to main content
`Ctrl`+`K`

# PetscStageLogGetActive

Deprecated

## Synopsis

    PETSC_DEPRECATED_FUNCTION(3, 20, 0, "nothing", "PetscStageLog is no longer used.") static inline PetscErrorCode PetscStageLogGetActive(PetscStageLog a, int b, PetscBool *c)

## Note

PETSc performance logging and profiling is now split up between the logging state (`PetscLogState`) and the log handler (`PetscLogHandler`). The global logging state is obtained with `PetscLogGetState()`; many log handlers may be used at once (`PetscLogHandlerStart()`) and the default log handler is not directly accessible.

## See Also

Profiling

## Level

deprecated

## Location

include/petsc/private/logimpldeprecated.h

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages